<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head> 
		<%@ include file="../../include/lib.jsp" %>
	</head>
	
	<body>
		<form id="homePageSave" method="post" action="/admin/homePageCreate">
			<div class="content">
				<ul>
					<li>请手动输入主页模版：&nbsp;&nbsp;<input class="input" type="text" name="url" id="url" value="index.htm"/> </li>
					<li class="default">
		      		默认的情况下，生成的主页文件放在CMS的安装目录，如果您的CMS不是安装在网站根目录的，又想把主页创建到网站根目录，那么请用相对路径来表示“主页位置”。
					        例：您的CMS安装在 http://www.abc.com/ms-cms/ 目录，您想生成的主页为 http://www.abc.com/index.htm，那么主页位置就应该用： 
					        “../index.htm”。
					</li><li>注：主页位置主页的htm文件名一定要为index.htm</li>
					<li>主页位置：&nbsp;&nbsp;<input class="input" type="text" name="position" id="position" value="index.html" /></li>
					<li><a href="javascript:void(0)" class="easyui-linkbutton confirm" onclick="submitForm()">主页生成</a></li>	
				</ul>
			</div>	
		</form>
	</body>
	
<script type="text/javascript">
	function submitForm(){
		$.ajax({
			type : "post",
			url : BASE_URL+"/admin/homePageCreate",
			dataType:'json',
			data : "url="+$('#url').val()+"&position="+$('#position').val(),
		    success: function(data){
		    	if(data.code==303){
		    		showFormMsg(SYSTEM_TITLE,"模版不存在，请仔细检查输入的路径及文件名!");
		    	}else if(data.code==304){
		    		showFormMsg(SYSTEM_TITLE,"主页更新成功！");
		    	}
		    } 
		}); 
	}
</script>
</html>
